Index: snovis/trunk/obuild/darwin_app.obuild
===================================================================
--- snovis/trunk/obuild/darwin_app.obuild	(revision 213)
+++ snovis/trunk/obuild/darwin_app.obuild	(revision 267)
@@ -3,5 +3,5 @@
   <use name="CoinPython" version="v1r*"/>
 
-  <darwin_app name="snovis_session"> 
+  <darwin_app name="prog_snovis"> 
 
     <!-- 
@@ -23,11 +23,10 @@
     /////////////
     -->
-    <path from="G4Lab"/>
 
-    <copy_dll>${obuild_G4Lab_path}/${@@dir_bin_variable@@}/G4Lab.bundle</copy_dll>
+    <copy_dll>${obuild_snovis_path}/${@@dir_bin_variable@@}/G4Lab.bundle</copy_dll>
 
     <copy_dir>
-      <from>${obuild_G4Lab_path}/scripts</from>
-      <to>@@dir_bin@@/@@component@@.app/Contents/Resources/G4Lab/.</to>
+      <from>${obuild_snovis_path}/Resources/G4Lab</from>
+      <to>@@dir_bin@@/@@component@@.app/Contents/Resources/.</to>
     </copy_dir>
 
@@ -55,16 +54,15 @@
     /////////////
     -->
-    <path from="OnXLab"/>
-    <copy_dll>${obuild_OnXLab_path}/${@@dir_bin_variable@@}/OnXLabInventor.bundle</copy_dll>
-    <copy_dll>${obuild_OnXLab_path}/${@@dir_bin_variable@@}/OnXLabKUIP.bundle</copy_dll>
-    <copy_dll>${obuild_OnXLab_path}/${@@dir_bin_variable@@}/OnXLab.bundle</copy_dll>
-    <copy_dll>${obuild_OnXLab_path}/${@@dir_bin_variable@@}/OnXLab_SWIG_Python.so</copy_dll>
+    <copy_dll>${OSC_home}/bin/OnXLabInventor.bundle</copy_dll>
+    <copy_dll>${OSC_home}/bin/OnXLabKUIP.bundle</copy_dll>
+    <copy_dll>${OSC_home}/bin/OnXLab.bundle</copy_dll>
+    <copy_dll>${OSC_home}/bin/OnXLab_SWIG_Python.so</copy_dll>
 
     <copy_dir>
-      <from>${obuild_OnXLab_path}/scripts</from>
+      <from>${OSC_home}/Resources/OnXLab/scripts</from>
       <to>@@dir_bin@@/@@component@@.app/Contents/Resources/OnXLab/.</to>
     </copy_dir>
     <copy_dir>
-      <from>${obuild_OnXLab_path}/examples</from>
+      <from>${OSC_home}/Resources/OnXLab/examples</from>
       <to>@@dir_bin@@/@@component@@.app/Contents/Resources/OnXLab/.</to>
     </copy_dir>
@@ -75,12 +73,10 @@
     /////////////////
     -->
-    <path from="BatchLab"/>
-
-    <copy_dll>${obuild_BatchLab_path}/${@@dir_bin_variable@@}/BatchLabXML.bundle</copy_dll>
-    <copy_dll>${obuild_BatchLab_path}/${@@dir_bin_variable@@}/BatchLabRio.bundle</copy_dll>
-    <copy_dll>${obuild_BatchLab_path}/${@@dir_bin_variable@@}/BatchLabHDF5.bundle</copy_dll>
+    <copy_dll>${OSC_home}/bin/BatchLabXML.bundle</copy_dll>
+    <copy_dll>${OSC_home}/bin/BatchLabRio.bundle</copy_dll>
+    <copy_dll>${OSC_home}/bin/BatchLabHDF5.bundle</copy_dll>
 
     <copy_dir>
-      <from>${obuild_BatchLab_path}/scripts</from>
+      <from>${OSC_home}/Resources/BatchLab/scripts</from>
       <to>@@dir_bin@@/@@component@@.app/Contents/Resources/BatchLab/.</to>
     </copy_dir>
@@ -91,18 +87,16 @@
     /////////////////
     -->
-    <path from="OnX"/>
-
-    <copy_dll>${obuild_OnX_path}/${@@dir_bin_variable@@}/OnXTestDLD.bundle</copy_dll>
-    <copy_dll>${obuild_OnX_path}/${@@dir_bin_variable@@}/OnXKUIP.bundle</copy_dll>
-    <copy_dll>${obuild_OnX_path}/${@@dir_bin_variable@@}/OnX.bundle</copy_dll>
-    <copy_dll>${obuild_OnX_path}/${@@dir_bin_variable@@}/OnXQt.bundle</copy_dll>
+    <copy_dll>${OSC_home}/bin/OnXTestDLD.bundle</copy_dll>
+    <copy_dll>${OSC_home}/bin/OnXKUIP.bundle</copy_dll>
+    <copy_dll>${OSC_home}/bin/OnX.bundle</copy_dll>
+    <copy_dll>${OSC_home}/bin/OnXQt.bundle</copy_dll>
 
     <copy_dir>
-      <from>${obuild_OnX_path}/scripts</from>
+      <from>${OSC_home}/Resources/OnX/scripts</from>
       <to>@@dir_bin@@/@@component@@.app/Contents/Resources/OnX/.</to>
     </copy_dir>
 
-    <copy_dll>${obuild_OnX_path}/${@@dir_bin_variable@@}/OnXPython.bundle</copy_dll>
-    <copy_dll>${obuild_OnX_path}/${@@dir_bin_variable@@}/OnX_SWIG_Python.so</copy_dll>
+    <copy_dll>${OSC_home}/bin/OnXPython.bundle</copy_dll>
+    <copy_dll>${OSC_home}/bin/OnX_SWIG_Python.so</copy_dll>
 
     <!-- 
@@ -111,15 +105,13 @@
     /////////////////
     -->
-    <path from="HEPVis"/>
-
     <copy_dir>
-      <from>${obuild_HEPVis_path}/fonts</from>
+      <from>${OSC_home}/Resources/HEPVis/fonts</from>
       <to>@@dir_bin@@/@@component@@.app/Contents/Resources/HEPVis/.</to>
     </copy_dir>
 
-    <copy_dll>${obuild_HEPVis_path}/${@@dir_bin_variable@@}/HEPVis_SWIG_Python.so</copy_dll>
+    <copy_dll>${OSC_home}/bin/HEPVis_SWIG_Python.so</copy_dll>
 
     <copy_dir>
-      <from>${obuild_HEPVis_path}/scripts</from>
+      <from>${OSC_home}/Resources/HEPVis/scripts</from>
       <to>@@dir_bin@@/@@component@@.app/Contents/Resources/HEPVis/.</to>
     </copy_dir>
@@ -130,12 +122,10 @@
     //////////////////
     -->
-    <path from="CoinPython"/>
-    <copy_dll>${obuild_CoinPython_path}/${@@dir_bin_variable@@}/_CoinPython.so</copy_dll>
+    <copy_dll>${OSC_home}/bin/_CoinPython.so</copy_dll>
 
     <copy_dir>
-      <from>${obuild_CoinPython_path}/scripts</from>
+      <from>${OSC_home}/Resources/CoinPython/scripts</from>
       <to>@@dir_bin@@/@@component@@.app/Contents/Resources/CoinPython/.</to>
     </copy_dir>
-
 
   </darwin_app>