Index: /osc_snovis/trunk/obuild/release/UNIX/install
===================================================================
--- /osc_snovis/trunk/obuild/release/UNIX/install	(revision 271)
+++ /osc_snovis/trunk/obuild/release/UNIX/install	(revision 271)
@@ -0,0 +1,43 @@
+#!/bin/sh -f 
+
+#set -x
+
+obuild_current=`pwd`
+
+obuild_from='="@@absolute_dir@@"'
+
+obuild_to='="'"${obuild_current}"'"'
+
+if test -e aida-setup.sh ; then
+  /bin/rm -f obuild_tmp
+  sed -e "s#${obuild_from}#${obuild_to}#g" aida-setup.sh > obuild_tmp
+  /bin/mv obuild_tmp aida-setup.sh
+  /bin/rm -f obuild_tmp
+fi
+
+if test -e aida-setup.csh ; then
+  /bin/rm -f obuild_tmp
+  sed -e "s#${obuild_from}#${obuild_to}#g" aida-setup.csh > obuild_tmp
+  /bin/mv obuild_tmp aida-setup.csh
+  /bin/rm -f obuild_tmp
+fi
+
+if test -e setup.sh ; then
+  /bin/rm -f obuild_tmp
+  sed -e "s#${obuild_from}#${obuild_to}#g" setup.sh > obuild_tmp
+  /bin/mv obuild_tmp setup.sh
+  /bin/rm -f obuild_tmp
+fi
+
+if test -e setup.csh ; then
+  /bin/rm -f obuild_tmp
+  sed -e "s#${obuild_from}#${obuild_to}#g" setup.csh > obuild_tmp
+  /bin/mv obuild_tmp setup.csh
+  /bin/rm -f obuild_tmp
+fi
+
+unset obuild_to
+unset obuild_from
+unset obuild_current
+
+
Index: /osc_snovis/trunk/obuild/release/UNIX/setup.csh
===================================================================
--- /osc_snovis/trunk/obuild/release/UNIX/setup.csh	(revision 271)
+++ /osc_snovis/trunk/obuild/release/UNIX/setup.csh	(revision 271)
@@ -0,0 +1,74 @@
+#
+#  Usage :
+#    csh> source setup.csh
+#
+
+#set verbose
+
+set OSC_home="@@absolute_dir@@"
+
+if ( "${OSC_home}" == '@@absolute_dir@@' ) then
+  echo '  The OpenScientist setup scripts had not been installed.'
+  echo ''
+  echo ' In the file :'
+  echo '    OpenScientist/<vers>/obuild/setup.csh'
+  echo ' someone has to replace '
+  echo '    @@absolute_dir@@'
+  echo ' by the absolute path of the package.'
+  echo ''
+  echo '  If having the write access, this replacement can be done'
+  echo ' on the setup scripts by using the install script :'
+  echo '    cd <install_path>/OpenScientist/<vers>'
+  echo '    ./install'
+  echo ''
+  exit
+endif
+
+# The "." is for the OpenPAW on-the-fly compilation and loading.
+if ( `uname` == "Linux" ) then
+  set lib_path="${OSC_home}/lib:${OSC_home}/bin:."
+  set lib_curr=`printenv LD_LIBRARY_PATH`
+  if ( "${lib_curr}" == "" ) then
+    setenv LD_LIBRARY_PATH "${lib_path}"
+  else
+    if ( `echo "${lib_curr}" | grep "${lib_path}" ` == "" ) then
+      setenv LD_LIBRARY_PATH "${LD_LIBRARY_PATH}:${lib_path}"
+    endif
+  endif
+  unset lib_curr
+  unset lib_path
+endif
+
+if ( `uname` == "Darwin" ) then
+  set lib_path="${OSC_home}/lib:${OSC_home}/bin:."
+  set lib_curr=`printenv DYLD_LIBRARY_PATH`
+  if ( "${lib_curr}" == "" ) then
+    setenv DYLD_LIBRARY_PATH "${lib_path}"
+  else
+    if ( `echo "${lib_curr}" | grep "${lib_path}" ` == "" ) then
+      setenv DYLD_LIBRARY_PATH "${DYLD_LIBRARY_PATH}:${lib_path}"
+    endif
+  endif
+  unset lib_curr
+  unset lib_path
+endif
+
+set bin_path="${OSC_home}/bin"
+set bin_curr=`printenv PATH`
+if ( "${bin_curr}" == "" ) then
+ setenv PATH "${bin_path}"
+else
+ if ( `echo "${bin_curr}" | grep "${bin_path}" ` == "" ) then
+   setenv PATH "${PATH}:${bin_path}"
+ endif
+endif
+unset bin_curr
+unset bin_path
+
+# AIDA :
+setenv AIDA_HOME_DIR "${OSC_home}"
+
+# else :
+setenv COIN_DONT_INFORM_INDIRECT_RENDERING "1"
+
+unset OSC_home
Index: /osc_snovis/trunk/obuild/release/UNIX/setup.sh
===================================================================
--- /osc_snovis/trunk/obuild/release/UNIX/setup.sh	(revision 271)
+++ /osc_snovis/trunk/obuild/release/UNIX/setup.sh	(revision 271)
@@ -0,0 +1,79 @@
+
+#
+#  Usage :
+#    sh> . setup.sh
+#
+
+#set -x
+
+OSC_home="@@absolute_dir@@"
+
+if [ "${OSC_home}" = '@@absolute_dir@@' ] ; then
+  echo '  The OpenScientist setup scripts had not been installed.'
+  echo ''
+  echo ' In the file :'
+  echo '    OpenScientist/<vers>/setup.sh'
+  echo ' someone has to replace '
+  echo '    @@absolute_dir@@'
+  echo ' by the absolute path of the package.'
+  echo ''
+  echo '  If having the write access, this replacement can be done'
+  echo ' on the setup scripts by using the install script :'
+  echo '    cd <install_path>/OpenScientist/<vers>'
+  echo '    ./install'
+  echo ''
+  return
+fi
+
+# The "." is for the OpenPAW on-the-fly compilation and loading.
+if [ `uname` = "Linux" ]; then
+  lib_path="${OSC_home}/lib:."
+  if [ -z "${LD_LIBRARY_PATH}" ] ; then
+    LD_LIBRARY_PATH="${lib_path}"
+    export LD_LIBRARY_PATH
+  else
+    status=1;(echo $LD_LIBRARY_PATH | grep "${lib_path}" >& /dev/null  ) && status=0
+    if [ $status != 0 ] ; then
+      LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${lib_path}"
+      export LD_LIBRARY_PATH
+   fi
+  fi
+  unset lib_path
+fi
+
+if [ `uname` = "Darwin" ]; then
+  lib_path="${OSC_home}/lib:${OSC_home}/bin:."
+  if [ -z "${DYLD_LIBRARY_PATH}" ] ; then
+    DYLD_LIBRARY_PATH="${lib_path}"
+    export DYLD_LIBRARY_PATH
+  else
+    status=1;(echo $DYLD_LIBRARY_PATH | grep "${lib_path}" >& /dev/null  ) && status=0
+    if [ $status != 0 ] ; then
+      DYLD_LIBRARY_PATH="${DYLD_LIBRARY_PATH}:${lib_path}"
+      export DYLD_LIBRARY_PATH
+    fi
+  fi
+  unset lib_path
+fi
+
+bin_path="${OSC_home}/bin"
+if [ -z "${PATH}" ] ; then
+  PATH="${bin_path}"
+  export PATH
+else
+  status=1;(echo $PATH | grep "${bin_path}" >& /dev/null  ) && status=0
+  if [ $status != 0 ] ; then
+    PATH="${PATH}:${bin_path}"
+    export PATH
+  fi
+fi
+unset bin_path
+
+# AIDA :
+AIDA_HOME_DIR="${OSC_home}";export AIDA_HOME_DIR
+
+# else :
+COIN_DONT_INFORM_INDIRECT_RENDERING="1"
+export COIN_DONT_INFORM_INDIRECT_RENDERING
+
+unset OSC_home
Index: /osc_snovis/trunk/obuild/release/install
===================================================================
--- /osc_snovis/trunk/obuild/release/install	(revision 271)
+++ /osc_snovis/trunk/obuild/release/install	(revision 271)
@@ -0,0 +1,43 @@
+#!/bin/sh -f 
+
+#set -x
+
+obuild_current=`pwd`
+
+obuild_from='="@@absolute_dir@@"'
+
+obuild_to='="'"${obuild_current}"'"'
+
+if test -e aida-setup.sh ; then
+  /bin/rm -f obuild_tmp
+  sed -e "s#${obuild_from}#${obuild_to}#g" aida-setup.sh > obuild_tmp
+  /bin/mv obuild_tmp aida-setup.sh
+  /bin/rm -f obuild_tmp
+fi
+
+if test -e aida-setup.csh ; then
+  /bin/rm -f obuild_tmp
+  sed -e "s#${obuild_from}#${obuild_to}#g" aida-setup.csh > obuild_tmp
+  /bin/mv obuild_tmp aida-setup.csh
+  /bin/rm -f obuild_tmp
+fi
+
+if test -e setup.sh ; then
+  /bin/rm -f obuild_tmp
+  sed -e "s#${obuild_from}#${obuild_to}#g" setup.sh > obuild_tmp
+  /bin/mv obuild_tmp setup.sh
+  /bin/rm -f obuild_tmp
+fi
+
+if test -e setup.csh ; then
+  /bin/rm -f obuild_tmp
+  sed -e "s#${obuild_from}#${obuild_to}#g" setup.csh > obuild_tmp
+  /bin/mv obuild_tmp setup.csh
+  /bin/rm -f obuild_tmp
+fi
+
+unset obuild_to
+unset obuild_from
+unset obuild_current
+
+
Index: /osc_snovis/trunk/obuild/release/setup.csh
===================================================================
--- /osc_snovis/trunk/obuild/release/setup.csh	(revision 271)
+++ /osc_snovis/trunk/obuild/release/setup.csh	(revision 271)
@@ -0,0 +1,74 @@
+#
+#  Usage :
+#    csh> source setup.csh
+#
+
+#set verbose
+
+set OSC_home="@@absolute_dir@@"
+
+if ( "${OSC_home}" == '@@absolute_dir@@' ) then
+  echo '  The OpenScientist setup scripts had not been installed.'
+  echo ''
+  echo ' In the file :'
+  echo '    OpenScientist/<vers>/obuild/setup.csh'
+  echo ' someone has to replace '
+  echo '    @@absolute_dir@@'
+  echo ' by the absolute path of the package.'
+  echo ''
+  echo '  If having the write access, this replacement can be done'
+  echo ' on the setup scripts by using the install script :'
+  echo '    cd <install_path>/OpenScientist/<vers>'
+  echo '    ./install'
+  echo ''
+  exit
+endif
+
+# The "." is for the OpenPAW on-the-fly compilation and loading.
+if ( `uname` == "Linux" ) then
+  set lib_path="${OSC_home}/lib:${OSC_home}/bin:."
+  set lib_curr=`printenv LD_LIBRARY_PATH`
+  if ( "${lib_curr}" == "" ) then
+    setenv LD_LIBRARY_PATH "${lib_path}"
+  else
+    if ( `echo "${lib_curr}" | grep "${lib_path}" ` == "" ) then
+      setenv LD_LIBRARY_PATH "${LD_LIBRARY_PATH}:${lib_path}"
+    endif
+  endif
+  unset lib_curr
+  unset lib_path
+endif
+
+if ( `uname` == "Darwin" ) then
+  set lib_path="${OSC_home}/lib:${OSC_home}/bin:."
+  set lib_curr=`printenv DYLD_LIBRARY_PATH`
+  if ( "${lib_curr}" == "" ) then
+    setenv DYLD_LIBRARY_PATH "${lib_path}"
+  else
+    if ( `echo "${lib_curr}" | grep "${lib_path}" ` == "" ) then
+      setenv DYLD_LIBRARY_PATH "${DYLD_LIBRARY_PATH}:${lib_path}"
+    endif
+  endif
+  unset lib_curr
+  unset lib_path
+endif
+
+set bin_path="${OSC_home}/bin"
+set bin_curr=`printenv PATH`
+if ( "${bin_curr}" == "" ) then
+ setenv PATH "${bin_path}"
+else
+ if ( `echo "${bin_curr}" | grep "${bin_path}" ` == "" ) then
+   setenv PATH "${PATH}:${bin_path}"
+ endif
+endif
+unset bin_curr
+unset bin_path
+
+# AIDA :
+setenv AIDA_HOME_DIR "${OSC_home}"
+
+# else :
+setenv COIN_DONT_INFORM_INDIRECT_RENDERING "1"
+
+unset OSC_home
Index: /osc_snovis/trunk/obuild/release/setup.sh
===================================================================
--- /osc_snovis/trunk/obuild/release/setup.sh	(revision 271)
+++ /osc_snovis/trunk/obuild/release/setup.sh	(revision 271)
@@ -0,0 +1,79 @@
+
+#
+#  Usage :
+#    sh> . setup.sh
+#
+
+#set -x
+
+OSC_home="@@absolute_dir@@"
+
+if [ "${OSC_home}" = '@@absolute_dir@@' ] ; then
+  echo '  The OpenScientist setup scripts had not been installed.'
+  echo ''
+  echo ' In the file :'
+  echo '    OpenScientist/<vers>/setup.sh'
+  echo ' someone has to replace '
+  echo '    @@absolute_dir@@'
+  echo ' by the absolute path of the package.'
+  echo ''
+  echo '  If having the write access, this replacement can be done'
+  echo ' on the setup scripts by using the install script :'
+  echo '    cd <install_path>/OpenScientist/<vers>'
+  echo '    ./install'
+  echo ''
+  return
+fi
+
+# The "." is for the OpenPAW on-the-fly compilation and loading.
+if [ `uname` = "Linux" ]; then
+  lib_path="${OSC_home}/lib:."
+  if [ -z "${LD_LIBRARY_PATH}" ] ; then
+    LD_LIBRARY_PATH="${lib_path}"
+    export LD_LIBRARY_PATH
+  else
+    status=1;(echo $LD_LIBRARY_PATH | grep "${lib_path}" >& /dev/null  ) && status=0
+    if [ $status != 0 ] ; then
+      LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${lib_path}"
+      export LD_LIBRARY_PATH
+   fi
+  fi
+  unset lib_path
+fi
+
+if [ `uname` = "Darwin" ]; then
+  lib_path="${OSC_home}/lib:${OSC_home}/bin:."
+  if [ -z "${DYLD_LIBRARY_PATH}" ] ; then
+    DYLD_LIBRARY_PATH="${lib_path}"
+    export DYLD_LIBRARY_PATH
+  else
+    status=1;(echo $DYLD_LIBRARY_PATH | grep "${lib_path}" >& /dev/null  ) && status=0
+    if [ $status != 0 ] ; then
+      DYLD_LIBRARY_PATH="${DYLD_LIBRARY_PATH}:${lib_path}"
+      export DYLD_LIBRARY_PATH
+    fi
+  fi
+  unset lib_path
+fi
+
+bin_path="${OSC_home}/bin"
+if [ -z "${PATH}" ] ; then
+  PATH="${bin_path}"
+  export PATH
+else
+  status=1;(echo $PATH | grep "${bin_path}" >& /dev/null  ) && status=0
+  if [ $status != 0 ] ; then
+    PATH="${PATH}:${bin_path}"
+    export PATH
+  fi
+fi
+unset bin_path
+
+# AIDA :
+AIDA_HOME_DIR="${OSC_home}";export AIDA_HOME_DIR
+
+# else :
+COIN_DONT_INFORM_INDIRECT_RENDERING="1"
+export COIN_DONT_INFORM_INDIRECT_RENDERING
+
+unset OSC_home