Index: osc_snovis/trunk/obuild/sh/build_release
===================================================================
--- osc_snovis/trunk/obuild/sh/build_release	(revision 270)
+++ osc_snovis/trunk/obuild/sh/build_release	(revision 272)
@@ -158,5 +158,4 @@
 /bin/rm -f "${obuild_dir_project}/Versions"
 echo "package osc_snovis v1r0" >> "${obuild_dir_project}/Versions"
-echo "package snovis v1r1" >> "${obuild_dir_project}/Versions"
 echo "package bhep v1r4p2" >> "${obuild_dir_project}/Versions"
 echo "package snova v2r0p0" >> "${obuild_dir_project}/Versions"
@@ -272,68 +271,4 @@
 find "${obuild_dir_project}/Resources/Geant4/." -depth -name CVS -exec /bin/rm -R -f {} \;
 find "${obuild_dir_project}/Resources/Geant4/." -depth -name .svn -exec /bin/rm -R -f {} \;
-fi
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
-if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -d "${Geant4_home}/data/G4NDL" ] ; then
-  echo "WARNNING : Directory ${Geant4_home}/data/G4NDL not found."
-else
-/bin/mkdir -p "${obuild_dir_project}/Resources/Geant4/data/."
-/bin/cp -R "${Geant4_home}/data/G4NDL" "${obuild_dir_project}/Resources/Geant4/data/."
-find "${obuild_dir_project}/Resources/Geant4/data/." -depth -name CVS -exec /bin/rm -R -f {} \;
-find "${obuild_dir_project}/Resources/Geant4/data/." -depth -name .svn -exec /bin/rm -R -f {} \;
-fi
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
-if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -d "${Geant4_home}/data/PhotonEvaporation" ] ; then
-  echo "WARNNING : Directory ${Geant4_home}/data/PhotonEvaporation not found."
-else
-/bin/mkdir -p "${obuild_dir_project}/Resources/Geant4/data/."
-/bin/cp -R "${Geant4_home}/data/PhotonEvaporation" "${obuild_dir_project}/Resources/Geant4/data/."
-find "${obuild_dir_project}/Resources/Geant4/data/." -depth -name CVS -exec /bin/rm -R -f {} \;
-find "${obuild_dir_project}/Resources/Geant4/data/." -depth -name .svn -exec /bin/rm -R -f {} \;
-fi
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
-if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -d "${Geant4_home}/data/RadioactiveDecay" ] ; then
-  echo "WARNNING : Directory ${Geant4_home}/data/RadioactiveDecay not found."
-else
-/bin/mkdir -p "${obuild_dir_project}/Resources/Geant4/data/."
-/bin/cp -R "${Geant4_home}/data/RadioactiveDecay" "${obuild_dir_project}/Resources/Geant4/data/."
-find "${obuild_dir_project}/Resources/Geant4/data/." -depth -name CVS -exec /bin/rm -R -f {} \;
-find "${obuild_dir_project}/Resources/Geant4/data/." -depth -name .svn -exec /bin/rm -R -f {} \;
-fi
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
-if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -d "${Geant4_home}/data/G4EMLOW" ] ; then
-  echo "WARNNING : Directory ${Geant4_home}/data/G4EMLOW not found."
-else
-/bin/mkdir -p "${obuild_dir_project}/Resources/Geant4/data/."
-/bin/cp -R "${Geant4_home}/data/G4EMLOW" "${obuild_dir_project}/Resources/Geant4/data/."
-find "${obuild_dir_project}/Resources/Geant4/data/." -depth -name CVS -exec /bin/rm -R -f {} \;
-find "${obuild_dir_project}/Resources/Geant4/data/." -depth -name .svn -exec /bin/rm -R -f {} \;
 fi
 fi
@@ -450,4 +385,53 @@
   exit
 fi
+obuild_osc_snovis_path=`"${obuild_find_exe}" osc_snovis 'v1r0'`
+if [ "${obuild_osc_snovis_path}" = "" ] ; then
+  echo "Can't find osc_snovis package."
+  exit
+fi
+
+if [ "${obuild_platform_exe}" = "" ] ; then
+  echo "Variable obuild_platform_exe not defined."
+  exit
+fi
+obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
+if [ ${obuild_platform_result} = yes ] ; then
+if [ ! -e "${obuild_osc_snovis_path}/obuild/release/UNIX/setup.csh" ] ; then
+  echo "WARNNING : File ${obuild_osc_snovis_path}/obuild/release/UNIX/setup.csh not found."
+else
+/bin/cp "${obuild_osc_snovis_path}/obuild/release/UNIX/setup.csh" "${obuild_dir_project}/."
+fi
+fi
+unset obuild_platform_result
+if [ "${obuild_platform_exe}" = "" ] ; then
+  echo "Variable obuild_platform_exe not defined."
+  exit
+fi
+obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
+if [ ${obuild_platform_result} = yes ] ; then
+if [ ! -e "${obuild_osc_snovis_path}/obuild/release/UNIX/setup.sh" ] ; then
+  echo "WARNNING : File ${obuild_osc_snovis_path}/obuild/release/UNIX/setup.sh not found."
+else
+/bin/cp "${obuild_osc_snovis_path}/obuild/release/UNIX/setup.sh" "${obuild_dir_project}/."
+fi
+fi
+unset obuild_platform_result
+if [ "${obuild_platform_exe}" = "" ] ; then
+  echo "Variable obuild_platform_exe not defined."
+  exit
+fi
+obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
+if [ ${obuild_platform_result} = yes ] ; then
+if [ ! -e "${obuild_osc_snovis_path}/obuild/release/UNIX/install" ] ; then
+  echo "WARNNING : File ${obuild_osc_snovis_path}/obuild/release/UNIX/install not found."
+else
+/bin/cp "${obuild_osc_snovis_path}/obuild/release/UNIX/install" "${obuild_dir_project}/."
+fi
+fi
+unset obuild_platform_result
+if [ "${obuild_find_exe}" = "" ] ; then
+  echo "Variable obuild_find_exe not defined."
+  exit
+fi
 obuild_snovis_path=`"${obuild_find_exe}" snovis 'v1r1'`
 if [ "${obuild_snovis_path}" = "" ] ; then
@@ -480,4 +464,101 @@
 fi
 unset obuild_platform_result
+
+if [ "${obuild_find_exe}" = "" ] ; then
+  echo "Variable obuild_find_exe not defined."
+  exit
+fi
+obuild_bhep_path=`"${obuild_find_exe}" bhep 'v1r4p2'`
+if [ "${obuild_bhep_path}" = "" ] ; then
+  echo "Can't find bhep package."
+  exit
+fi
+
+if [ ! -d "${obuild_bhep_path}/${obuild_dir_bin}" ] ; then
+  echo "WARNNING : Directory ${obuild_bhep_path}/${obuild_dir_bin} not found."
+else
+if [ -e "${obuild_bhep_path}/${obuild_dir_bin}/libbhep.dylib" ] ; then  /bin/cp "${obuild_bhep_path}/${obuild_dir_bin}/libbhep.dylib" "${obuild_dir_project}/lib/." ;fi
+if [ -e "${obuild_bhep_path}/${obuild_dir_bin}/libbhep.so" ] ; then  /bin/cp "${obuild_bhep_path}/${obuild_dir_bin}/libbhep.so" "${obuild_dir_project}/lib/." ;fi
+fi
+if [ "${obuild_find_exe}" = "" ] ; then
+  echo "Variable obuild_find_exe not defined."
+  exit
+fi
+obuild_snova_path=`"${obuild_find_exe}" snova 'v2r0p0'`
+if [ "${obuild_snova_path}" = "" ] ; then
+  echo "Can't find snova package."
+  exit
+fi
+
+if [ ! -d "${obuild_snova_path}/${obuild_dir_bin}" ] ; then
+  echo "WARNNING : Directory ${obuild_snova_path}/${obuild_dir_bin} not found."
+else
+if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libgeomutils.dylib" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libgeomutils.dylib" "${obuild_dir_project}/lib/." ;fi
+if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libgeomutils.so" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libgeomutils.so" "${obuild_dir_project}/lib/." ;fi
+fi
+if [ "${obuild_find_exe}" = "" ] ; then
+  echo "Variable obuild_find_exe not defined."
+  exit
+fi
+obuild_snova_path=`"${obuild_find_exe}" snova 'v2r0p0'`
+if [ "${obuild_snova_path}" = "" ] ; then
+  echo "Can't find snova package."
+  exit
+fi
+
+if [ ! -d "${obuild_snova_path}/${obuild_dir_bin}" ] ; then
+  echo "WARNNING : Directory ${obuild_snova_path}/${obuild_dir_bin} not found."
+else
+if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsngeom.dylib" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsngeom.dylib" "${obuild_dir_project}/lib/." ;fi
+if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsngeom.so" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsngeom.so" "${obuild_dir_project}/lib/." ;fi
+fi
+if [ "${obuild_find_exe}" = "" ] ; then
+  echo "Variable obuild_find_exe not defined."
+  exit
+fi
+obuild_snova_path=`"${obuild_find_exe}" snova 'v2r0p0'`
+if [ "${obuild_snova_path}" = "" ] ; then
+  echo "Can't find snova package."
+  exit
+fi
+
+if [ ! -d "${obuild_snova_path}/${obuild_dir_bin}" ] ; then
+  echo "WARNNING : Directory ${obuild_snova_path}/${obuild_dir_bin} not found."
+else
+if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnvertex.dylib" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnvertex.dylib" "${obuild_dir_project}/lib/." ;fi
+if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnvertex.so" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnvertex.so" "${obuild_dir_project}/lib/." ;fi
+fi
+if [ "${obuild_find_exe}" = "" ] ; then
+  echo "Variable obuild_find_exe not defined."
+  exit
+fi
+obuild_snova_path=`"${obuild_find_exe}" snova 'v2r0p0'`
+if [ "${obuild_snova_path}" = "" ] ; then
+  echo "Can't find snova package."
+  exit
+fi
+
+if [ ! -d "${obuild_snova_path}/${obuild_dir_bin}" ] ; then
+  echo "WARNNING : Directory ${obuild_snova_path}/${obuild_dir_bin} not found."
+else
+if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnova.dylib" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnova.dylib" "${obuild_dir_project}/lib/." ;fi
+if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnova.so" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnova.so" "${obuild_dir_project}/lib/." ;fi
+fi
+if [ "${obuild_find_exe}" = "" ] ; then
+  echo "Variable obuild_find_exe not defined."
+  exit
+fi
+obuild_snova_path=`"${obuild_find_exe}" snova 'v2r0p0'`
+if [ "${obuild_snova_path}" = "" ] ; then
+  echo "Can't find snova package."
+  exit
+fi
+
+if [ ! -d "${obuild_snova_path}/${obuild_dir_bin}" ] ; then
+  echo "WARNNING : Directory ${obuild_snova_path}/${obuild_dir_bin} not found."
+else
+if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnova_ui.dylib" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnova_ui.dylib" "${obuild_dir_project}/lib/." ;fi
+if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnova_ui.so" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnova_ui.so" "${obuild_dir_project}/lib/." ;fi
+fi
 if [ "${obuild_find_exe}" = "" ] ; then
   echo "Variable obuild_find_exe not defined."
@@ -490,29 +571,10 @@
 fi
 
-if [ ! -d "${obuild_snovis_path}/scripts" ] ; then
-  echo "WARNNING : Directory ${obuild_snovis_path}/scripts not found."
-else
-/bin/mkdir -p "${obuild_dir_project}/Resources/snovis/."
-/bin/cp -R "${obuild_snovis_path}/scripts" "${obuild_dir_project}/Resources/snovis/."
-find "${obuild_dir_project}/Resources/snovis/." -depth -name CVS -exec /bin/rm -R -f {} \;
-find "${obuild_dir_project}/Resources/snovis/." -depth -name .svn -exec /bin/rm -R -f {} \;
-fi
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
-if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -d "${obuild_snovis_path}/Darwin_obuild/snovis_session.app" ] ; then
-  echo "WARNNING : Directory ${obuild_snovis_path}/Darwin_obuild/snovis_session.app not found."
-else
-/bin/mkdir -p "${obuild_dir_project}/../../."
-/bin/cp -R "${obuild_snovis_path}/Darwin_obuild/snovis_session.app" "${obuild_dir_project}/../../."
-find "${obuild_dir_project}/../../." -depth -name CVS -exec /bin/rm -R -f {} \;
-find "${obuild_dir_project}/../../." -depth -name .svn -exec /bin/rm -R -f {} \;
-fi
-fi
-unset obuild_platform_result
-
+if [ ! -d "${obuild_snovis_path}/${obuild_dir_bin}" ] ; then
+  echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
+else
+if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.dylib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.dylib" "${obuild_dir_project}/lib/." ;fi
+if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.so" "${obuild_dir_project}/lib/." ;fi
+fi
 if [ "${obuild_find_exe}" = "" ] ; then
   echo "Variable obuild_find_exe not defined."
@@ -528,7 +590,8 @@
   echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
 else
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.dylib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.dylib" "${obuild_dir_project}/lib/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.so" "${obuild_dir_project}/lib/." ;fi
-fi
+if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.dylib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.dylib" "${obuild_dir_project}/lib/." ;fi
+if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.so" "${obuild_dir_project}/lib/." ;fi
+fi
+
 if [ "${obuild_find_exe}" = "" ] ; then
   echo "Variable obuild_find_exe not defined."
@@ -544,23 +607,26 @@
   echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
 else
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.dylib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.dylib" "${obuild_dir_project}/lib/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.so" "${obuild_dir_project}/lib/." ;fi
-fi
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_bhep_path=`"${obuild_find_exe}" bhep 'v1r4p2'`
-if [ "${obuild_bhep_path}" = "" ] ; then
-  echo "Can't find bhep package."
-  exit
-fi
-
-if [ ! -d "${obuild_bhep_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_bhep_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_bhep_path}/${obuild_dir_bin}/libbhep.dylib" ] ; then  /bin/cp "${obuild_bhep_path}/${obuild_dir_bin}/libbhep.dylib" "${obuild_dir_project}/lib/." ;fi
-if [ -e "${obuild_bhep_path}/${obuild_dir_bin}/libbhep.so" ] ; then  /bin/cp "${obuild_bhep_path}/${obuild_dir_bin}/libbhep.so" "${obuild_dir_project}/lib/." ;fi
-fi
+if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/G4Lab.bundle" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/G4Lab.bundle" "${obuild_dir_project}/bin/." ;fi
+if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.jnilib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.jnilib" "${obuild_dir_project}/bin/." ;fi
+if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.so" "${obuild_dir_project}/bin/." ;fi
+fi
+if [ "${obuild_find_exe}" = "" ] ; then
+  echo "Variable obuild_find_exe not defined."
+  exit
+fi
+obuild_snovis_path=`"${obuild_find_exe}" snovis 'v1r1'`
+if [ "${obuild_snovis_path}" = "" ] ; then
+  echo "Can't find snovis package."
+  exit
+fi
+
+if [ ! -d "${obuild_snovis_path}/${obuild_dir_bin}" ] ; then
+  echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
+else
+if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/snovis.bundle" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/snovis.bundle" "${obuild_dir_project}/bin/." ;fi
+if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.jnilib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.jnilib" "${obuild_dir_project}/bin/." ;fi
+if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.so" "${obuild_dir_project}/bin/." ;fi
+fi
+
 if [ "${obuild_find_exe}" = "" ] ; then
   echo "Variable obuild_find_exe not defined."
@@ -576,70 +642,5 @@
   echo "WARNNING : Directory ${obuild_snova_path}/${obuild_dir_bin} not found."
 else
-if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libgeomutils.dylib" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libgeomutils.dylib" "${obuild_dir_project}/lib/." ;fi
-if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libgeomutils.so" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libgeomutils.so" "${obuild_dir_project}/lib/." ;fi
-fi
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snova_path=`"${obuild_find_exe}" snova 'v2r0p0'`
-if [ "${obuild_snova_path}" = "" ] ; then
-  echo "Can't find snova package."
-  exit
-fi
-
-if [ ! -d "${obuild_snova_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snova_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsngeom.dylib" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsngeom.dylib" "${obuild_dir_project}/lib/." ;fi
-if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsngeom.so" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsngeom.so" "${obuild_dir_project}/lib/." ;fi
-fi
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snova_path=`"${obuild_find_exe}" snova 'v2r0p0'`
-if [ "${obuild_snova_path}" = "" ] ; then
-  echo "Can't find snova package."
-  exit
-fi
-
-if [ ! -d "${obuild_snova_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snova_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnvertex.dylib" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnvertex.dylib" "${obuild_dir_project}/lib/." ;fi
-if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnvertex.so" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnvertex.so" "${obuild_dir_project}/lib/." ;fi
-fi
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snova_path=`"${obuild_find_exe}" snova 'v2r0p0'`
-if [ "${obuild_snova_path}" = "" ] ; then
-  echo "Can't find snova package."
-  exit
-fi
-
-if [ ! -d "${obuild_snova_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snova_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnova.dylib" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnova.dylib" "${obuild_dir_project}/lib/." ;fi
-if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnova.so" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnova.so" "${obuild_dir_project}/lib/." ;fi
-fi
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snova_path=`"${obuild_find_exe}" snova 'v2r0p0'`
-if [ "${obuild_snova_path}" = "" ] ; then
-  echo "Can't find snova package."
-  exit
-fi
-
-if [ ! -d "${obuild_snova_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snova_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnova_ui.dylib" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnova_ui.dylib" "${obuild_dir_project}/lib/." ;fi
-if [ -e "${obuild_snova_path}/${obuild_dir_bin}/libsnova_ui.so" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/libsnova_ui.so" "${obuild_dir_project}/lib/." ;fi
+if [ -e "${obuild_snova_path}/${obuild_dir_bin}/prog_snova" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/prog_snova" "${obuild_dir_project}/bin/." ;fi
 fi
 if [ "${obuild_find_exe}" = "" ] ; then
@@ -656,138 +657,6 @@
   echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
 else
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.dylib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.dylib" "${obuild_dir_project}/lib/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabCore.so" "${obuild_dir_project}/lib/." ;fi
-fi
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snovis_path=`"${obuild_find_exe}" snovis 'v1r1'`
-if [ "${obuild_snovis_path}" = "" ] ; then
-  echo "Can't find snovis package."
-  exit
-fi
-
-if [ ! -d "${obuild_snovis_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.dylib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.dylib" "${obuild_dir_project}/lib/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4LabUIOnX.so" "${obuild_dir_project}/lib/." ;fi
-fi
-
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snovis_path=`"${obuild_find_exe}" snovis 'v1r1'`
-if [ "${obuild_snovis_path}" = "" ] ; then
-  echo "Can't find snovis package."
-  exit
-fi
-
-if [ ! -d "${obuild_snovis_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/G4Lab.bundle" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/G4Lab.bundle" "${obuild_dir_project}/bin/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.jnilib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.jnilib" "${obuild_dir_project}/bin/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.so" "${obuild_dir_project}/bin/." ;fi
-fi
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snovis_path=`"${obuild_find_exe}" snovis 'v1r1'`
-if [ "${obuild_snovis_path}" = "" ] ; then
-  echo "Can't find snovis package."
-  exit
-fi
-
-if [ ! -d "${obuild_snovis_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/snovis.bundle" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/snovis.bundle" "${obuild_dir_project}/bin/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.jnilib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.jnilib" "${obuild_dir_project}/bin/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.so" "${obuild_dir_project}/bin/." ;fi
-fi
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snovis_path=`"${obuild_find_exe}" snovis 'v1r1'`
-if [ "${obuild_snovis_path}" = "" ] ; then
-  echo "Can't find snovis package."
-  exit
-fi
-
-if [ ! -d "${obuild_snovis_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/G4Lab.bundle" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/G4Lab.bundle" "${obuild_dir_project}/bin/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.jnilib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.jnilib" "${obuild_dir_project}/bin/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libG4Lab.so" "${obuild_dir_project}/bin/." ;fi
-fi
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snovis_path=`"${obuild_find_exe}" snovis 'v1r1'`
-if [ "${obuild_snovis_path}" = "" ] ; then
-  echo "Can't find snovis package."
-  exit
-fi
-
-if [ ! -d "${obuild_snovis_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/snovis.bundle" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/snovis.bundle" "${obuild_dir_project}/bin/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.jnilib" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.jnilib" "${obuild_dir_project}/bin/." ;fi
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.so" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/libsnovis.so" "${obuild_dir_project}/bin/." ;fi
-fi
-
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snovis_path=`"${obuild_find_exe}" snovis 'v1r1'`
-if [ "${obuild_snovis_path}" = "" ] ; then
-  echo "Can't find snovis package."
-  exit
-fi
-
-if [ ! -d "${obuild_snovis_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
-else
 if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/prog_snovis" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/prog_snovis" "${obuild_dir_project}/bin/." ;fi
 fi
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snova_path=`"${obuild_find_exe}" snova 'v2r0p0'`
-if [ "${obuild_snova_path}" = "" ] ; then
-  echo "Can't find snova package."
-  exit
-fi
-
-if [ ! -d "${obuild_snova_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snova_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_snova_path}/${obuild_dir_bin}/prog_snova" ] ; then  /bin/cp "${obuild_snova_path}/${obuild_dir_bin}/prog_snova" "${obuild_dir_project}/bin/." ;fi
-fi
-if [ "${obuild_find_exe}" = "" ] ; then
-  echo "Variable obuild_find_exe not defined."
-  exit
-fi
-obuild_snovis_path=`"${obuild_find_exe}" snovis 'v1r1'`
-if [ "${obuild_snovis_path}" = "" ] ; then
-  echo "Can't find snovis package."
-  exit
-fi
-
-if [ ! -d "${obuild_snovis_path}/${obuild_dir_bin}" ] ; then
-  echo "WARNNING : Directory ${obuild_snovis_path}/${obuild_dir_bin} not found."
-else
-if [ -e "${obuild_snovis_path}/${obuild_dir_bin}/prog_snovis" ] ; then  /bin/cp "${obuild_snovis_path}/${obuild_dir_bin}/prog_snovis" "${obuild_dir_project}/bin/." ;fi
-fi
 
 if [ "${obuild_platform_exe}" = "" ] ; then
@@ -797,5 +666,4 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
 if [ ${obuild_platform_result} = yes ] ; then
-/bin/rm -R -f "${obuild_dir_project}/Resources/Geant4/data"
 /bin/rm -R -f "${obuild_dir_project}/Resources/Geant4"
 /bin/rm -R -f "${obuild_dir_project}/Resources/CLHEP"
@@ -813,7 +681,7 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Linux'`
 if [ ${obuild_platform_result} = yes ] ; then
-/bin/rm -R -f "${obuild_dir_project}/Resources/Geant4/data"
 /bin/rm -R -f "${obuild_dir_project}/Resources/Geant4"
 /bin/rm -R -f "${obuild_dir_project}/Resources/CLHEP"
+/bin/rm -R -f "${obuild_dir_project}/Resources/Python"
 find "${obuild_dir_project}" -name 'libXm.so.2*' -follow -exec /bin/rm -f {} \;
 cd "${obuild_osc_snovis_path}/${obuild_dir_bin}"