Index: /osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- /osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 272)
+++ /osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 273)
@@ -492,4 +492,10 @@
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
 :end_if_release_42
+IF NOT EXIST "%obuild_snovis_path%\Resources\G4Lab"  ECHO WARNNING : Directory %obuild_snovis_path%\Resources\G4Lab not found.  && GOTO end_if_release_44
+IF NOT EXIST "%obuild_dir_project%\Resources\.\G4Lab" MKDIR "%obuild_dir_project%\Resources\.\G4Lab"
+XCOPY /E /Q "%obuild_snovis_path%\Resources\G4Lab" "%obuild_dir_project%\Resources\.\G4Lab" 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+:end_if_release_44
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -498,12 +504,12 @@
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
-IF NOT EXIST "%obuild_snovis_path%\Darwin_obuild\snovis_session.app"  ECHO WARNNING : Directory %obuild_snovis_path%\Darwin_obuild\snovis_session.app not found.  && GOTO end_if_release_44
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
+IF NOT EXIST "%obuild_snovis_path%\Darwin_obuild\snovis_session.app"  ECHO WARNNING : Directory %obuild_snovis_path%\Darwin_obuild\snovis_session.app not found.  && GOTO end_if_release_46
 IF NOT EXIST "%obuild_dir_project%\..\..\.\snovis_session.app" MKDIR "%obuild_dir_project%\..\..\.\snovis_session.app"
 XCOPY /E /Q "%obuild_snovis_path%\Darwin_obuild\snovis_session.app" "%obuild_dir_project%\..\..\.\snovis_session.app" 1> xcopy_exe_error
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_44
-:end_if_platform_45
+:end_if_release_46
+:end_if_platform_47
 SET obuild_platform_result=
 
@@ -516,16 +522,16 @@
 IF NOT DEFINED obuild_bhep_path  ECHO Can't find bhep package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_bhep_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_46
-IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" GOTO end_if_copy_47
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_bhep_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_48
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" GOTO end_if_copy_49
   COPY "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_47
-IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" GOTO end_if_copy_48
+:end_if_copy_49
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" GOTO end_if_copy_50
   COPY "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_48
-:end_if_release_46
+:end_if_copy_50
+:end_if_release_48
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -536,16 +542,16 @@
 IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_49
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" GOTO end_if_copy_50
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_51
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" GOTO end_if_copy_52
   COPY "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_50
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" GOTO end_if_copy_51
+:end_if_copy_52
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" GOTO end_if_copy_53
   COPY "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_51
-:end_if_release_49
+:end_if_copy_53
+:end_if_release_51
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -556,16 +562,16 @@
 IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_52
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" GOTO end_if_copy_53
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_54
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" GOTO end_if_copy_55
   COPY "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_53
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" GOTO end_if_copy_54
+:end_if_copy_55
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" GOTO end_if_copy_56
   COPY "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_54
-:end_if_release_52
+:end_if_copy_56
+:end_if_release_54
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -576,16 +582,16 @@
 IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_55
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" GOTO end_if_copy_56
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_57
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" GOTO end_if_copy_58
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_56
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" GOTO end_if_copy_57
+:end_if_copy_58
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" GOTO end_if_copy_59
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_57
-:end_if_release_55
+:end_if_copy_59
+:end_if_release_57
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -596,16 +602,16 @@
 IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_58
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" GOTO end_if_copy_59
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_60
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" GOTO end_if_copy_61
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_59
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" GOTO end_if_copy_60
+:end_if_copy_61
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" GOTO end_if_copy_62
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_60
-:end_if_release_58
+:end_if_copy_62
+:end_if_release_60
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -616,16 +622,16 @@
 IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_61
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.lib" GOTO end_if_copy_62
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_63
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.lib" GOTO end_if_copy_64
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_62
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.dll" GOTO end_if_copy_63
+:end_if_copy_64
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.dll" GOTO end_if_copy_65
   COPY "%obuild_snova_path%\%obuild_dir_bin%\snova_ui.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_63
-:end_if_release_61
+:end_if_copy_65
+:end_if_release_63
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -636,16 +642,16 @@
 IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_64
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" GOTO end_if_copy_65
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_66
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" GOTO end_if_copy_67
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_65
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" GOTO end_if_copy_66
+:end_if_copy_67
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" GOTO end_if_copy_68
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_66
-:end_if_release_64
+:end_if_copy_68
+:end_if_release_66
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -656,16 +662,16 @@
 IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_67
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" GOTO end_if_copy_68
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_69
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" GOTO end_if_copy_70
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_68
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" GOTO end_if_copy_69
+:end_if_copy_70
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" GOTO end_if_copy_71
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4LabUIOnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_69
-:end_if_release_67
+:end_if_copy_71
+:end_if_release_69
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
@@ -677,16 +683,16 @@
 IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_70
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" GOTO end_if_copy_71
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_72
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" GOTO end_if_copy_73
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_71
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" GOTO end_if_copy_72
+:end_if_copy_73
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" GOTO end_if_copy_74
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\G4Lab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_72
-:end_if_release_70
+:end_if_copy_74
+:end_if_release_72
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -697,16 +703,16 @@
 IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_73
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" GOTO end_if_copy_74
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_75
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" GOTO end_if_copy_76
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_74
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" GOTO end_if_copy_75
+:end_if_copy_76
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" GOTO end_if_copy_77
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_75
-:end_if_release_73
+:end_if_copy_77
+:end_if_release_75
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
@@ -718,26 +724,26 @@
 IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_76
-IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" GOTO end_if_copy_77
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_78
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" GOTO end_if_copy_79
   COPY "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_77
-:end_if_release_76
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_78
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" GOTO end_if_copy_79
-  COPY "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_79
 :end_if_release_78
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_80
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" GOTO end_if_copy_81
+  COPY "%obuild_snovis_path%\%obuild_dir_bin%\prog_snovis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_81
+:end_if_release_80
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
@@ -745,19 +751,4 @@
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_80
-IF EXIST "%obuild_dir_project%\Resources/Geant4" RMDIR /S /Q "%obuild_dir_project%\Resources/Geant4"
-IF EXIST "%obuild_dir_project%\Resources/CLHEP" RMDIR /S /Q "%obuild_dir_project%\Resources/CLHEP"
-IF EXIST "%obuild_dir_project%\Resources/Python" RMDIR /S /Q "%obuild_dir_project%\Resources/Python"
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF EXIST osc_snovis_v1r0_intel_osx_gcc401.zip DEL osc_snovis_v1r0_intel_osx_gcc401.zip
-cd "%obuild_osc_snovis_path%\obuild"
-:end_if_platform_80
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_osc_snovis_1%"
 SET obuild_pwd_osc_snovis_1=
@@ -766,9 +757,24 @@
 IF EXIST "%obuild_dir_project%\Resources/CLHEP" RMDIR /S /Q "%obuild_dir_project%\Resources/CLHEP"
 IF EXIST "%obuild_dir_project%\Resources/Python" RMDIR /S /Q "%obuild_dir_project%\Resources/Python"
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF EXIST osc_snovis_v1r0_intel_osx_gcc401.zip DEL osc_snovis_v1r0_intel_osx_gcc401.zip
+cd "%obuild_osc_snovis_path%\obuild"
+:end_if_platform_82
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_84
+IF EXIST "%obuild_dir_project%\Resources/Geant4" RMDIR /S /Q "%obuild_dir_project%\Resources/Geant4"
+IF EXIST "%obuild_dir_project%\Resources/CLHEP" RMDIR /S /Q "%obuild_dir_project%\Resources/CLHEP"
+IF EXIST "%obuild_dir_project%\Resources/Python" RMDIR /S /Q "%obuild_dir_project%\Resources/Python"
 DEL  "%obuild_dir_project%"\libXm.so.2*
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF EXIST osc_snovis_v1r0_m32_sl3_gcc323.zip DEL osc_snovis_v1r0_m32_sl3_gcc323.zip
 cd "%obuild_osc_snovis_path%\obuild"
-:end_if_platform_82
+:end_if_platform_84
 SET obuild_platform_result=
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
Index: /osc_snovis/trunk/obuild/sh/build_release
===================================================================
--- /osc_snovis/trunk/obuild/sh/build_release	(revision 272)
+++ /osc_snovis/trunk/obuild/sh/build_release	(revision 273)
@@ -448,4 +448,12 @@
 find "${obuild_dir_project}/Resources/snovis/." -depth -name .svn -exec /bin/rm -R -f {} \;
 fi
+if [ ! -d "${obuild_snovis_path}/Resources/G4Lab" ] ; then
+  echo "WARNNING : Directory ${obuild_snovis_path}/Resources/G4Lab not found."
+else
+/bin/mkdir -p "${obuild_dir_project}/Resources/."
+/bin/cp -R "${obuild_snovis_path}/Resources/G4Lab" "${obuild_dir_project}/Resources/."
+find "${obuild_dir_project}/Resources/." -depth -name CVS -exec /bin/rm -R -f {} \;
+find "${obuild_dir_project}/Resources/." -depth -name .svn -exec /bin/rm -R -f {} \;
+fi
 if [ "${obuild_platform_exe}" = "" ] ; then
   echo "Variable obuild_platform_exe not defined."