Index: build/bhep/trunk/obuild/DOS/build.bat
===================================================================
--- build/bhep/trunk/obuild/DOS/build.bat	(revision 265)
+++ build/bhep/trunk/obuild/DOS/build.bat	(revision 274)
@@ -90,5 +90,5 @@
 
   IF "%OBUILD_DIR_BIN%" == "" (
-    SET obuild_dir_bin=%obuild_platform%_obuild
+    SET obuild_dir_bin=bin_obuild
   ) ELSE (
     SET obuild_dir_bin=%OBUILD_DIR_BIN%
Index: build/bhep/trunk/obuild/DOS/build_lib_bhep.bat
===================================================================
--- build/bhep/trunk/obuild/DOS/build_lib_bhep.bat	(revision 265)
+++ build/bhep/trunk/obuild/DOS/build_lib_bhep.bat	(revision 274)
@@ -74,5 +74,5 @@
 
 IF "%OBUILD_DIR_BIN%" == "" (
-  SET obuild_dir_bin=%obuild_platform%_obuild
+  SET obuild_dir_bin=bin_obuild
 ) ELSE (
   SET obuild_dir_bin=%OBUILD_DIR_BIN%
@@ -95,189 +95,59 @@
 cd "%obuild_bhep_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_bhep_0%"
+SET obuild_pwd_bhep_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_0
+SET obuild_cxx_command=cl.exe
+:end_if_platform_0
+SET obuild_platform_result=
+IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
+cd "%obuild_bhep_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_bhep_0%"
 SET obuild_pwd_bhep_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
-SET CLHEP_home=/usr/local/CLHEP/2.0.3.1
+SET obuild_cxx_optimize=/O2
 :end_if_platform_1
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
+cd "%obuild_bhep_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_bhep_0%"
+SET obuild_pwd_bhep_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_2
+SET obuild_cxx_debug=/ZI /Od
+:end_if_platform_2
+SET obuild_platform_result=
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
+cd "%obuild_bhep_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_bhep_0%"
 SET obuild_pwd_bhep_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
-SET HDF5_home=/usr/local/HDF5/1.6.5
+SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
 :end_if_platform_3
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
-SET zlib_home=/usr
-:end_if_platform_5
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_6
-SET obuild_cxx_command=c++
-:end_if_platform_6
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
-SET obuild_cxx_command=c++
-:end_if_platform_7
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_8
-SET obuild_cxx_command=cxx
-:end_if_platform_8
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
-SET obuild_cxx_command=cl.exe
-:end_if_platform_9
-SET obuild_platform_result=
-IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
-SET obuild_cxx_optimize=-O
-:end_if_platform_10
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
-SET obuild_cxx_optimize=-O
-:end_if_platform_11
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_12
-SET obuild_cxx_optimize=-O
-:end_if_platform_12
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
-SET obuild_cxx_optimize=/O2
-:end_if_platform_13
-SET obuild_platform_result=
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
-SET obuild_cxx_debug=-g
-:end_if_platform_14
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
-SET obuild_cxx_debug=-g
-:end_if_platform_15
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
-SET obuild_cxx_debug=-g
-:end_if_platform_16
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
-SET obuild_cxx_debug=/ZI /Od
-:end_if_platform_17
-SET obuild_platform_result=
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_18
-SET obuild_cxx_options=-fPIC
-:end_if_platform_18
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
-SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
-:end_if_platform_19
-SET obuild_platform_result=
-
-IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_bhep_sh_20
+
+IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_bhep_sh_4
   SET obuild_cxx_debug_local=%obuild_cxx_debug%
-  GOTO end_if_db_build_lib_bhep_sh_20
-:else_if_db_build_lib_bhep_sh_20
+  GOTO end_if_db_build_lib_bhep_sh_4
+:else_if_db_build_lib_bhep_sh_4
   SET obuild_cxx_debug_local=
-:end_if_db_build_lib_bhep_sh_20
-
-IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_bhep_sh_21
+:end_if_db_build_lib_bhep_sh_4
+
+IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_bhep_sh_5
   SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
-  GOTO end_if_opt_build_lib_bhep_sh_21
-:else_if_opt_build_lib_bhep_sh_21
+  GOTO end_if_opt_build_lib_bhep_sh_5
+:else_if_opt_build_lib_bhep_sh_5
   SET obuild_cxx_optimize_local=
-:end_if_opt_build_lib_bhep_sh_21
+:end_if_opt_build_lib_bhep_sh_5
 
 
@@ -285,24 +155,4 @@
 SET obuild_cxx_includes=/I"%obuild_bhep_path%"
 SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_bhep_path%\bhep"
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_24
-SET obuild_cxx_includes=%obuild_cxx_includes% -I${CLHEP_home}/include
-:end_if_platform_24
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_25
-SET obuild_cxx_includes=%obuild_cxx_includes% -I${HDF5_home}/include
-:end_if_platform_25
-SET obuild_platform_result=
 
 IF EXIST "%obuild_bhep_path%\%obuild_dir_bin%\lib_bhep" RMDIR /S /Q "%obuild_bhep_path%\%obuild_dir_bin%\lib_bhep"
@@ -310,14 +160,4 @@
 
 REM # pre_build scripts :
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
-chmod a+x ./pre_build;./pre_build
-:end_if_platform_26
-SET obuild_platform_result=
 
 @IF %obuild_verbose% == yes @ECHO ON 
@@ -537,40 +377,10 @@
 cd "%obuild_bhep_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_62
-SET obuild_cxx_linker_command=c++
-:end_if_platform_62
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_63
-SET obuild_cxx_linker_command=c++
-:end_if_platform_63
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_64
-SET obuild_cxx_linker_command=cxx
-:end_if_platform_64
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_65
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_bhep_0%"
+SET obuild_pwd_bhep_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_43
 SET obuild_cxx_linker_command=link.exe
-:end_if_platform_65
+:end_if_platform_43
 SET obuild_platform_result=
 IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return
@@ -579,66 +389,36 @@
 cd "%obuild_bhep_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_66
-SET obuild_cxx_linker_debug=-g
-:end_if_platform_66
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_67
-SET obuild_cxx_linker_debug=-g
-:end_if_platform_67
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_68
-SET obuild_cxx_linker_debug=-g
-:end_if_platform_68
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_69
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_bhep_0%"
+SET obuild_pwd_bhep_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_44
 SET obuild_cxx_linker_debug=/DEBUG
-:end_if_platform_69
-SET obuild_platform_result=
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_70
+:end_if_platform_44
+SET obuild_platform_result=
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
+cd "%obuild_bhep_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_bhep_0%"
+SET obuild_pwd_bhep_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
 SET obuild_cxx_linker_options=/nologo
-:end_if_platform_70
-SET obuild_platform_result=
-
-IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_bhep_sh_71
+:end_if_platform_45
+SET obuild_platform_result=
+
+IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_bhep_sh_46
   SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
-  GOTO end_if_db_build_lib_bhep_sh_71
-:else_if_db_build_lib_bhep_sh_71
+  GOTO end_if_db_build_lib_bhep_sh_46
+:else_if_db_build_lib_bhep_sh_46
   SET obuild_cxx_linker_debug_local=
-:end_if_db_build_lib_bhep_sh_71
-
-IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_bhep_sh_72
+:end_if_db_build_lib_bhep_sh_46
+
+IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_bhep_sh_47
   SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
-  GOTO end_if_opt_build_lib_bhep_sh_72
-:else_if_opt_build_lib_bhep_sh_72
+  GOTO end_if_opt_build_lib_bhep_sh_47
+:else_if_opt_build_lib_bhep_sh_47
   SET obuild_cxx_linker_optimize_local=
-:end_if_opt_build_lib_bhep_sh_72
+:end_if_opt_build_lib_bhep_sh_47
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
Index: build/bhep/trunk/obuild/setup.bat
===================================================================
--- build/bhep/trunk/obuild/setup.bat	(revision 265)
+++ build/bhep/trunk/obuild/setup.bat	(revision 274)
@@ -32,5 +32,5 @@
 
 IF "%OBUILD_DIR_BIN%" == "" (
-  SET obuild_dir_bin=%obuild_platform%_obuild
+  SET obuild_dir_bin=bin_obuild
 ) ELSE (
   SET obuild_dir_bin=%OBUILD_DIR_BIN%
@@ -42,48 +42,12 @@
 )
 
-IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%" MKDIR "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\obuild_platform.exe" (
-  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_bhep_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_bhep_path%\obuild\cpp\obuild_platform.cpp" 1> NUL
-  IF EXIST obuild_platform.obj DEL obuild_platform.obj
-)
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
-SET CLHEP_home=/usr/local/CLHEP/2.0.3.1
-:end_if_platform_1
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
-SET HDF5_home=/usr/local/HDF5/1.6.5
-:end_if_platform_3
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_bhep_0=%%d
-cd "%obuild_bhep_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_bhep_0%"
-SET obuild_pwd_bhep_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
-SET zlib_home=/usr
-:end_if_platform_5
-SET obuild_platform_result=
 REM # Set environment variables of this package :
 
-IF DEFINED PATH GOTO else_if_path_bhep_6
+IF DEFINED PATH GOTO else_if_path_bhep_0
   SET PATH=%obuild_bhep_path%\%obuild_dir_bin%
-  GOTO end_if_path_bhep_6
-:else_if_path_bhep_6
+  GOTO end_if_path_bhep_0
+:else_if_path_bhep_0
   SET PATH=%PATH%;%obuild_bhep_path%\%obuild_dir_bin%
-:end_if_path_bhep_6
+:end_if_path_bhep_0
 
 :obuild_return
Index: build/bhep/trunk/obuild/setup.csh
===================================================================
--- build/bhep/trunk/obuild/setup.csh	(revision 265)
+++ build/bhep/trunk/obuild/setup.csh	(revision 274)
@@ -84,10 +84,10 @@
 if ( $?OBUILD_DIR_BIN ) then
   if (  "${OBUILD_DIR_BIN}" == "" ) then
-    set obuild_dir_bin=${obuild_platform}_obuild
+    set obuild_dir_bin=bin_obuild
   else
     set obuild_dir_bin=${OBUILD_DIR_BIN}
   endif
 else
-  set obuild_dir_bin=${obuild_platform}_obuild
+  set obuild_dir_bin=bin_obuild
 endif
 
Index: build/bhep/trunk/obuild/setup.sh
===================================================================
--- build/bhep/trunk/obuild/setup.sh	(revision 265)
+++ build/bhep/trunk/obuild/setup.sh	(revision 274)
@@ -78,5 +78,5 @@
 
 if [  "${OBUILD_DIR_BIN}" = "" ] ; then
-  obuild_dir_bin=${obuild_platform}_obuild
+  obuild_dir_bin=bin_obuild
 else
   obuild_dir_bin=${OBUILD_DIR_BIN}
Index: build/bhep/trunk/obuild/sh/broadcast_install
===================================================================
--- build/bhep/trunk/obuild/sh/broadcast_install	(revision 265)
+++ build/bhep/trunk/obuild/sh/broadcast_install	(revision 274)
@@ -46,5 +46,5 @@
 
 if [  "${OBUILD_DIR_BIN}" = "" ] ; then
-  obuild_dir_bin=${obuild_platform}_obuild
+  obuild_dir_bin=bin_obuild
 else
   obuild_dir_bin=${OBUILD_DIR_BIN}
Index: build/bhep/trunk/obuild/sh/build
===================================================================
--- build/bhep/trunk/obuild/sh/build	(revision 265)
+++ build/bhep/trunk/obuild/sh/build	(revision 274)
@@ -100,5 +100,5 @@
   fi
   if [  "${OBUILD_DIR_BIN}" = "" ] ; then
-    obuild_dir_bin=${obuild_platform}_obuild
+    obuild_dir_bin=bin_obuild
   else
     obuild_dir_bin=${OBUILD_DIR_BIN}
Index: build/bhep/trunk/obuild/sh/build_lib_bhep
===================================================================
--- build/bhep/trunk/obuild/sh/build_lib_bhep	(revision 265)
+++ build/bhep/trunk/obuild/sh/build_lib_bhep	(revision 274)
@@ -64,5 +64,5 @@
 
 if [  "${OBUILD_DIR_BIN}" = "" ] ; then
-  obuild_dir_bin=${obuild_platform}_obuild
+  obuild_dir_bin=bin_obuild
 else
   obuild_dir_bin=${OBUILD_DIR_BIN}
@@ -157,13 +157,4 @@
 fi
 unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Windows_NT'`
-if [ ${obuild_platform_result} = yes ] ; then
-obuild_cxx_command="cl.exe"
-fi
-unset obuild_platform_result
 if [ "${obuild_cxx_command}" = "" ] ; then
   echo "Variable obuild_cxx_command not defined."
@@ -198,13 +189,4 @@
 fi
 unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Windows_NT'`
-if [ ${obuild_platform_result} = yes ] ; then
-obuild_cxx_optimize="/O2"
-fi
-unset obuild_platform_result
 
 if [ "${obuild_platform_exe}" = "" ] ; then
@@ -235,13 +217,4 @@
 fi
 unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Windows_NT'`
-if [ ${obuild_platform_result} = yes ] ; then
-obuild_cxx_debug="/ZI /Od"
-fi
-unset obuild_platform_result
 
 if [ "${obuild_platform_exe}" = "" ] ; then
@@ -252,13 +225,4 @@
 if [ ${obuild_platform_result} = yes ] ; then
 obuild_cxx_options="-fPIC"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Windows_NT'`
-if [ ${obuild_platform_result} = yes ] ; then
-obuild_cxx_options="/nologo /DWIN32 /MD /GX /GR /W3"
 fi
 unset obuild_platform_result
Index: build/bhep/trunk/obuild/sh/check_foreigns
===================================================================
--- build/bhep/trunk/obuild/sh/check_foreigns	(revision 265)
+++ build/bhep/trunk/obuild/sh/check_foreigns	(revision 274)
@@ -28,5 +28,5 @@
 
 if [  "${OBUILD_DIR_BIN}" = "" ] ; then
-  obuild_dir_bin=${obuild_platform}_obuild
+  obuild_dir_bin=bin_obuild
 else
   obuild_dir_bin=${OBUILD_DIR_BIN}